if [ -f ${SITE_DIRECTORY}/www.$2 ]
then
  if [ -f ${HEADER_DIRECTORY}/www.$2 ]
  then
    if [ ! -f ${SITE_DIRECTORY}/$2 ]
    then
      ################################################################################
      # FORBIDDEN SITE ON WWW. BUT NO SITE ON BASE NAME
      ################################################################################
      output=`grep "You don't have permission to access /" ${SITE_DIRECTORY}/www.$2`
      if [ ! -z "${output}" ]
      then
        output=`grep "<H1>Forbidden</H1>" ${SITE_DIRECTORY}/www.$2`
        if [ ! -z "${output}" ]
        then
          output=`grep "HTTP/1.1 403 Forbidden" ${HEADER_DIRECTORY}/www.$2`
          if [ ! -z "${output}" ]
          then
            mkdir -p ${BLACKLIST_DIRECTORY}/`${DOMAIN2PATH} -d $2`
            echo Forbidden > ${BLACKLIST_DIRECTORY}/`${DOMAIN2PATH} $2`
            echo Forbidden: $2

            search_ips $3
            touch ${IP_DIRECTORY}/$3
            rm -f ${SITE_DIRECTORY}/$1 ${HEADER_DIRECTORY}/$1
            blacklisted=true
          fi
        fi
      fi
    fi
  fi
fi
