if [ -f ${SITE_DIRECTORY}/$1 ]
then
  ################################################################################
  # PRIVACY POLICY
  ################################################################################
  output=`grep "permission-based marketing for our customers. Safeguarding the privacy of your online information is a top priority for us. For websites owned and operated by us, we use log files." ${SITE_DIRECTORY}/$1`
  if [ ! -z "${output}" ]
  then
    output=`grep "Unsolicited Commercial Email (UCE)  -  UCE is defined as any electronic communication, including but not limited to email, ICQ, IRC, Instant Messengers, sent for purposes of distributing commercial information of any kind, soliciting the purchase or sale of products or services or soliciting any transfer of funds to a recipient who has not agreed to receive such communication." ${SITE_DIRECTORY}/$1`
    if [ ! -z "${output}" ]
    then
      output=`grep "prohibits the use of its systems or network to send unsolicited email (UCE/UBE) as described above, customers may send permission-based email marketing, subject to the guidelines provided herein. Permission-based marketing is defined as electronic marketing that an end user agrees to receive." ${SITE_DIRECTORY}/$1`
      if [ ! -z "${output}" ]
      then
        mkdir -p ${BLACKLIST_DIRECTORY}/`${DOMAIN2PATH} -d $2`
        echo Privacy policy > ${BLACKLIST_DIRECTORY}/`${DOMAIN2PATH} $2`
        echo Privacy policy: $2

        search_ips $3
        touch ${IP_DIRECTORY}/$3
        rm -f ${SITE_DIRECTORY}/$1 ${HEADER_DIRECTORY}/$1
        blacklisted=true
      fi
    fi
  fi
fi
